Skip to Content
0
Former Member
Sep 30, 2008 at 05:49 AM

APO 3.1 to SCM 5.0 UPRADE ERROR IN PHASE SQLSCREXE_DELSHDTB

13 Views

Hi

We are getting this error during the upgrade phase SQLSCREXE_DELSHDTB.

STEP 488 of 493.

ERROR: during execution of script :DELDB6TB.XQL. Error found in log

file TPSQLSTD.OUT and DELDB6TB.LOG

Contents of TPSQLSTD.OUT is as below:

hostname:SIDadm 64> pg TPSQLSTD.OUT

BLOCKED SIGNALS: ''

SAPup> Starting subprocess 14964 at 20080929220715

ENV <0x4015a1f8>:

SHLIB_PATH=/usr/sap/SID/SYS/exe/run:/opt/java1.4/jre/lib/PA_RISC2.0:/opt/java1.4/jre/lib/PA_RISC2.0/server:/opt/java1.4/jre/../lib/PA_RISC2.0:/oracle/SID/920_64/lib:/usr/sap/SID/SYS/exe/run

ENV <0x77ff04ef>: ORACLE_PSRV=SID

ENV <0x77ff04ff>:

PATH=/oracle/SID/102_64/bin:/sapdb/programs/bin:/usr/sap/SID/SYS/exe/run:/usr/bin:/opt/ansic/bin:/usr/ccs/bin:/usr/contrib/bin:/opt/nettladm/bin:/opt/fc/bin:/opt/fcms/bin:/opt/upgrade/bin:/opt/pd/bin:/usr/bin/X11:/usr/contrib/bin/X11:/opt/hparray/bin:/opt/resmon/bin:/opt/pred/bin:/opt/ignite/bin:/opt/atok/bin:/opt/egb/bin:/opt/vje/bin:/opt/aCC/bin:/opt/langtools/bin:/opt/hpnp//bin:/usr/sbin/diag/contrib:/opt/graphics/common/bin:/opt/cfg2html:/opt/perf/bin:/opt/scr/bin:/opt/imake/bin:/opt/hpnpl//bin:/opt/java1.4/bin:.

ENV <0x77ff070a>: NLS_LANG=AMERICAN_AMERICA.WE8DEC

ENV <0x77ff0736>: ORACLE_BASE=/oracle

ENV <0x77ff078f>: dbs_ora_tnsname=SID

ENV <0x77ff07a3>: ORACLE_SID=SID

ENV <0x40159df8>: DIR_LIBRARY=/usr/sap/SID/SYS/exe/run

ENV <0x401516a8>: dbs_ora_schema=SAPR3

ENV <0x77ff0853>: JAVA_HOME=/opt/java1.4

ENV <0x77ff089d>:

ORA_NLS33=/oracle/client/92x_64/ocommon/nls/admin/dataENV <0x77ff08f0>:

ORACLE_HOME=/oracle/SID/102_64

ENV <0x77ff092b>: dbms_type=ORA

ENV <0x401512a8>: auth_shadow_upgrade=0

EXECUTING /usr/sap/SID/SYS/exe/run/tp (tp)

pf=/usr/sap/put/bin/DEFAULT.TPP execdbscript SID -x DELDB6TB.XQL

This is /usr/sap/SID/SYS/exe/run/tp version 370.00.09 (release 700)

ERROR: tp_exec_dbscript: cannot open /usr/sap/put/bin/DELDB6TB.XQL

Warning: Parameter INTERRUPT is no longer used.

Warning: Parameter DAYLIGHT_SHUTDOWN is no longer used.

Warning: Parameter WITH_TACOB is no longer used.

Warning: Parameter IMPDP_BY_EVENT is no longer used.

Warning: Parameter INTERRUPT is no longer used.

Warning: Parameter DAYLIGHT_SHUTDOWN is no longer used.

Warning: Parameter WITH_TACOB is no longer used.

Warning: Parameter IMPDP_BY_EVENT is no longer used.

Warning: Parameter DBNAME is no longer used.

Warning: Parameter DBHOST is no longer used.

Warning: Parameter DBCONFPATH is no longer used.

Warning: Parameter STARTDB is no longer used.

Warning: Parameter STOPDB is no longer used.

TPERR- cannot open dbscript /usr/sap/put/bin/DELDB6TB.XQL

tp returncode summary:

TOOLS: Highest return code of single steps was: 0

ERRORS: Highest tp internal error was: 0212

tp finished with return code: 212

meaning:

could not access file as supposed (see SLOG for more details)

Process with ID 14964 terminated with status 212

(EOF):

Contents of DELSHDTB.LOG log file

hostname 66> pg DELSHDTB.LOG

1 ETQ201XEntering upgrade-phase "SQLSCREXE_DELSHDTB" ("20080929220715")

2 ETQ367 Connect variables are set for standard instance access

4 ETQ399 System-nr = 'xx', GwService = 'sapgwxx'

4 ETQ399 Environment variables:

4 ETQ399 dbs_ora_schema=SAPR3

4 ETQ399 auth_shadow_upgrade=0

4 ETQ380 computing toolpath for request "TP_EXECDBSCRIPT"

4 ETQ382 translates to group "R3UP_TOOL_GROUP_SYS"

4 ETQ383 translates to path "/usr/sap/SID/SYS/exe/run"

4 ETQ276 Executing SQL-script "DELDB6TB.XQL"

4 ETQ399 ext. env.: DIR_LIBRARY=/usr/sap/SID/SYS/exe/run

4 ETQ399 ext. env.:

SHLIB_PATH=/usr/sap/SID/SYS/exe/run:/opt/java1.4/jre/lib/PA_RISC2.0:/opt/java1.4/jre/lib/PA_RISC2.0/server:/opt/java1.4/jre/../lib/PA_RISC2.0:/oracle/SID/920_64/lib:/usr/sap/SID/SYS/exe/run

4 ETQ399 2008/09/29 22:07:15: put_execute: (tp) forkpid:14964

2EETQ278 Errors during execution of SQL-script "DELDB6TB.XQL"

1EETQ203 Upgrade phase "SQLSCREXE_DELSHDTB" aborted with errors

("20080929220716")

We could not find the file DELDB6TB.XQL in /usr/sap/put/bin directory.

SAPup version we are using is

hsotname 69> SAPup -V

Enter the path of your upgrade directory [/usr/sap/put]:

Upgrade directory =

  • Re-executing SAPup with adapted environment.*

This is SAPup version 7.00/2, build 24.109

Please help on this as our APO upgrade is stuck on this.

Appreciate any help.

Regards,

Sandeep.